Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#7975 closed defect (fixed)

Automake 1.13.0 doesn't work with git version.

Reported by: fredbezies Owned by: courmisch
Priority: normal Milestone: 2.0.x maintenance bugs
Component: Build system Version: master git
Severity: normal Keywords:
Cc: Difficulty: unknown
Platform(s): all Work status: Not started

Description

Hello.

I'm using archlinux, and when I tried to build vlc from git, I got this error :

configure.ac:28: error: possibly undefined macro: AM_CONFIG_HEADER

If this token and others are legitimate, please use m4_pattern_allow. See the Autoconf documentation.

autoreconf: /usr/bin/autoconf failed with exit status: 1

Downgrading to a previous version of automake fixes the bug.

Change History (4)

comment:1 Changed 3 years ago by courmisch

  • Milestone changed from Bugs paradize to 2.0.x maintenance bugs
  • Status changed from new to assigned

comment:2 Changed 3 years ago by peter sabaini

This also affects MacPorts? (which is using automake 1.13.1).

comment:3 Changed 3 years ago by remi@…

  • Resolution set to fixed
  • Status changed from assigned to closed

commit 6b2595e68890e5db1b7334098b6f722e2f41a6d8 Author: Rémi Denis-Courmont <remi@…> Date: Tue Jan 1 12:06:16 2013 +0200

configure: replace obsolete AM_CONFIG_HEADERS (fixes #7975)

comment:4 Changed 3 years ago by fredbezies

Thanks for the fix !

Note: See TracTickets for help on using tickets.